<?php
/* **
 * @application PhpMyShopping
 * @part        Admin boutique
 * @file        paiement.php
 * @path        ./admin/
 * @author      Stephane DINE <stephane@phpmyshopping.org>
 * @site        http://www.phpmyshopping.org
 * @license     http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * PHP version 5
 */

if ((!isset($_SESSION['LoginOk']) or $_SESSION['LoginOk'] != 'IdentOk')) {
    header('Location: ./login.php');
}

require_once 'include/class.paiement.php';
$paiement = new Paiement();

switch ($C3) {
/** -------------------------------------------------------------------------------------
 * Liste des modes de paiements
 */
case 'list':
	echo $paiement->listPaymentType();
	break;

/** -------------------------------------------------------------------------------------
 * Affichage du formulaire pour modifier l'action d'un mode de paiement
 */
case 'edit':
	echo $paiement->formPaymentType($_GET['pt']);
	break;

/** -------------------------------------------------------------------------------------
 * Mise a jour des modifs sur le mode de paiement
 */
case 'update':
	if ($_POST['Valid']) {
		$paiement->updatePaymentType($_POST);
	}

	echo $paiement->listPaymentType();
	break;

/** -------------------------------------------------------------------------------------
 * Affichage par defaut : Liste des modes de paiements
 */
default:
	echo $paiement->listPaymentType();
}
?>
